Uploaded image for project: 'ZABBIX BUGS AND ISSUES'
  1. ZABBIX BUGS AND ISSUES
  2. ZBX-18379

Broken compatibility with vmware4

    XMLWordPrintable

    Details

    • Team:
      Team C
    • Sprint:
      Sprint 68 (Sep 2020)
    • Story Points:
      0.125

      Description

      Steps to reproduce:

      After upgrading from zabbix 4.0 to 5.0.3 my vmware monitoring stopped working. My vmware version is 4.1.

      Result:

      On logs I found this response from vsphere SOAP response:

      <soapenv:Fault>
       <faultcode>ServerFaultCode</faultcode>
       <faultstring></faultstring>
       <detail>
       <InvalidPropertyFault
       xmlns="urn:vim25" xsi:type="InvalidProperty">
       <name>host[&quot;host-547&quot;].mountInfo.mounted</name>
       </InvalidPropertyFault>
       </detail>
      </soapenv:Fault>
      

      Then I looked for vmware docs and found this: https://vdc-download.vmware.com/vmwb-repository/dcr-public/da47f910-60ac-438b-8b9b-6122f4d14524/16b7274a-bf8b-4b4c-a05e-746f2aa93c8c/doc/vim.host.MountInfo.html

      There it says that "mountInfo.mounted" is available since vSphere API 5.0.

      Zabbix docs says: The minimum required VMware vCenter or vSphere version is 4.1. (https://www.zabbix.com/documentation/current/manual/vm_monitoring)

      On my lab, removing only this property at the request made it work OK again.

       

      Expected:
      See screenshot....
      See attached patch file...

        Attachments

        1. image-2020-09-18-10-57-45-592.png
          17 kB
          Michael Veksler
        2. ZBX-18379-vmware4.patch
          5 kB
          Michael Veksler

          Activity

            People

            Assignee:
            MVekslers Michael Veksler
            Reporter:
            djmendes Danilo
            Votes:
            0 Vote for this issue
            Watchers:
            6 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: